Clone a receivable

Creates a copy of an existing accounts receivable invoice or quote. The original document can be in any status. The cloned document will have the `draft` status. Cloning a document requires that all of the referenced resource IDs (counterpart ID, product IDs, and others) still exist. Most of the original document's data is copied as is, with a few exceptions: * Some fields are not copied: `attachments`, `document_id`, `issue_date`, invoice `payment_page_url`, quote `expiry_date`. * Counterpart details, entity bank account details, and entity VAT number are fetched anew from their corresponding IDs. This means, for example, that if the counterpart details have been changed since the original invoice or quote was created, the cloned document will use the current counterpart details rather than the old details from the original document.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired
ID of an existing invoice or quote that you want to clone.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
quoteobject
OR
invoiceobject
OR
credit_noteobject

Errors

400
Post Receivables ID Clone Request Bad Request Error
401
Post Receivables ID Clone Request Unauthorized Error
403
Post Receivables ID Clone Request Forbidden Error
404
Post Receivables ID Clone Request Not Found Error
409
Post Receivables ID Clone Request Conflict Error
422
Post Receivables ID Clone Request Unprocessable Entity Error
429
Post Receivables ID Clone Request Too Many Requests Error